E-MailRelay

Classes | Namespaces
gcleanup.h File Reference
`#include "gdef.h"`
`#include "gpath.h"`
`#include "gsignalsafe.h"`
`#include "gexception.h"`

Go to the source code of this file.

## Classes
class | G::Cleanup
| A static interface for registering cleanup functions that are called when the process terminates abnormally. More...
struct | G::Cleanup::Block
| A RAII class to temporarily block signal delivery. More...

## Namespaces
namespace | G
| Low-level classes.